
package encapsuladores;

public class MeteorologiaMunicipio {
    
     private String productor;
     private String nombreMunicipio;
     private String fecha;
     private String[] periodo = new String[7];
     private String[] probabilidadPrecipitacion = new String[7];
     private String[] estadoCielo = new String[7];    
     private String temperaturaMaxima;
     private String temperaturaMinima;

    public String getProductor() {
        return productor;
    }

    public void setProductor(String productor) {
        this.productor = productor;
    }

    public String getNombreMunicipio() {
        return nombreMunicipio;
    }

    public void setNombreMunicipio(String nombreMunicipio) {
        this.nombreMunicipio = nombreMunicipio;
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    public String getPeriodo(int indice) {
        return periodo[indice];
    }      
    
    public void setPeriodo(int indice, String periodo) {
        this.periodo[indice] = periodo;
    }    

    public String[] getPeriodo() {
        return periodo;
    }     
    
    public void setPeriodo(String periodo[]) {
        this.periodo = periodo;
    }        
    
    public String getProbabilidadPrecipitacion(int indice) {
        return probabilidadPrecipitacion[indice];
    }      
    
    public void setProbabilidadPrecipitacion(int indice, String probabilidadPrecipitacion) {
        this.probabilidadPrecipitacion[indice] = probabilidadPrecipitacion;
    }     

    public String getEstadoCielo(int indice) {
        return estadoCielo[indice];
    }      
    
    public void setEstadoCielo(int indice, String estadoCielo) {
        this.estadoCielo[indice] = estadoCielo;
    }   
    
    public String getTemperaturaMaxima() {
        return temperaturaMaxima;
    }

    public void setTemperaturaMaxima(String temperaturaMaxima) {
        this.temperaturaMaxima = temperaturaMaxima;
    }

    public String getTemperaturaMinima() {
        return temperaturaMinima;
    }

    public void setTemperaturaMinima(String temperaturaMinima) {
        this.temperaturaMinima = temperaturaMinima;
    } 
}
